#Fix the regression with c1_default_handler on some systems where C-states come
#from FADT.
#
#Thanks to Kevin Radloff for identifying the issue and also root causing on 
#exact line of code that is causing the issue.
#
#Signed-off-by: Venkatesh Pallipadi <venkatesh.pallipadi@intel.com>
#
Index: to-linus/drivers/acpi/processor_idle.c
===================================================================
--- to-linus.orig/drivers/acpi/processor_idle.c
+++ to-linus/drivers/acpi/processor_idle.c
@@ -842,7 +842,7 @@ static int acpi_processor_get_power_info
 	result = acpi_processor_get_power_info_cst(pr);
 	if ((result) || (acpi_processor_power_verify(pr) < 2)) {
 		result = acpi_processor_get_power_info_fadt(pr);
-		if (result)
+		if ((result) || (acpi_processor_power_verify(pr) < 2))
 			result = acpi_processor_get_power_info_default_c1(pr);
 	}
 
